opencv: cv::SiftFeatureDetector Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes

# cv::SiftFeatureDetector Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::SiftFeatureDetector:

List of all members.

## Public Member Functions
virtual void | read (const FileNode &fn)
| SiftFeatureDetector (double threshold, double edgeThreshold, int nOctaves=SIFT::CommonParams::DEFAULT_NOCTAVES, int nOctaveLayers=SIFT::CommonParams::DEFAULT_NOCTAVE_LAYERS, int firstOctave=SIFT::CommonParams::DEFAULT_FIRST_OCTAVE, int angleMode=SIFT::CommonParams::FIRST_ANGLE)
| SiftFeatureDetector (const SIFT::DetectorParams &detectorParams=SIFT::DetectorParams(), const SIFT::CommonParams &commonParams=SIFT::CommonParams())
virtual void | write (FileStorage &fs) const
## Protected Member Functions
virtual void | detectImpl (const Mat &image, vector< KeyPoint > &keypoints, const Mat &mask=Mat()) const
## Protected Attributes
SIFT | sift

## Constructor & Destructor Documentation

cv::SiftFeatureDetector::SiftFeatureDetector | ( | const SIFT::DetectorParams & | detectorParams = `SIFT::DetectorParams()`,
|  | const SIFT::CommonParams & | commonParams = `SIFT::CommonParams()`
| ) |  |

cv::SiftFeatureDetector::SiftFeatureDetector | ( | double | threshold,
|  | double | edgeThreshold,
|  | int | nOctaves = `SIFT::CommonParams::DEFAULT_NOCTAVES`,
|  | int | nOctaveLayers = `SIFT::CommonParams::DEFAULT_NOCTAVE_LAYERS`,
|  | int | firstOctave = `SIFT::CommonParams::DEFAULT_FIRST_OCTAVE`,
|  | int | angleMode = `SIFT::CommonParams::FIRST_ANGLE`
| ) |  |

## Member Function Documentation

virtual void cv::SiftFeatureDetector::detectImpl | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | const Mat & | mask = `Mat()`
| ) |  | const`[protected, virtual]`

Implements cv::FeatureDetector.

virtual void cv::SiftFeatureDetector::read | ( | const FileNode & | fn ) | `[virtual]`

Reimplemented from cv::FeatureDetector.

virtual void cv::SiftFeatureDetector::write | ( | FileStorage & | fs ) | const`[virtual]`

Reimplemented from cv::FeatureDetector.

## Member Data Documentation

SIFT cv::SiftFeatureDetector::sift`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines